# spacepy.datamodel.createISTPattrs

`spacepy.datamodel.``createISTPattrs`(datatype, ndims=1, vartype=None, units=' ', NRV=False)

  Return set of unpopulated attributes for ISTP compliant variable

  Parameters
    datatype{‘data’, ‘support_data’, ‘metadata’}

      datatype of variable to create metadata for.

    ndims int

      number of dimensions, default=1

    vartype{‘float’, ‘char’, ‘int’, ‘epoch’, ‘tt2000’}

      The type of the variable, default=float

    units str

      The units of the variable, default=’ ‘

    NRV bool

      Is the variable NRV (non-record varying), default=False

  Returns
    attrs dict

      dictionary of attributes for the variable

  Examples

      >>> import spacepy.datamodel as dm
      >>> dm.createISTPattrs('data', ndims=2, vartype='float', units='MeV')
      {'CATDESC': '',
       'DISPLAY_TYPE': 'spectrogram',
       'FIELDNAM': '',
       'FILLVAL': -1e+31,
       'FORMAT': 'F18.6',
       'LABLAXIS': '',
       'SI_CONVERSION': ' > ',
       'UNITS': 'MeV',
       'VALIDMIN': '',
       'VALIDMAX': '',
       'VAR_TYPE': 'data',
       'DEPEND_0': 'Epoch',
       'DEPEND_1': ''}